"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
test('get root config', () => {
  expect(__1.getMySqlConfigSync()).toMatchInlineSnapshot(`
Object {
  "connectionStringEnvironmentVariable": "MYSQL_URL",
  "test": Object {
    "connectTimeoutSeconds": 20,
    "containerName": "mysql-test",
    "debug": false,
    "image": "mysql:5.7.24",
    "mySqlDb": "test-db",
    "mySqlPassword": "password",
    "mySqlUser": "test-user",
  },
}
`);
});
test('valid config', () => {
  expect(__1._testReadMySqlConfigSync(__dirname + '/fixtures/empty.json')).toMatchInlineSnapshot(`
Object {
  "connectionStringEnvironmentVariable": "DATABASE_URL",
  "test": Object {
    "connectTimeoutSeconds": 20,
    "containerName": "mysql-test",
    "debug": false,
    "image": "mysql:5.7.24",
    "mySqlDb": "test-db",
    "mySqlPassword": "password",
    "mySqlUser": "test-user",
  },
}
`);
  expect(__1._testReadMySqlConfigSync(__dirname + '/fixtures/override.json')).toMatchInlineSnapshot(`
Object {
  "connectionStringEnvironmentVariable": "PG_CONNECTION",
  "test": Object {
    "connectTimeoutSeconds": 20,
    "containerName": "mysql-test",
    "debug": false,
    "image": "mysql:5.7.24",
    "mySqlDb": "test-db",
    "mySqlPassword": "password",
    "mySqlUser": "test-user",
  },
}
`);
});
test('invalid config', () => {
  expect(() => __1._testReadMySqlConfigSync(__dirname + '/fixtures/invalid.json')).toThrowErrorMatchingInlineSnapshot(`
"MySqlConfig.connectionStringEnvironmentVariable should be string
MySqlConfig value:

{ connectionStringEnvironmentVariable: 10,
  test:
   { connectTimeoutSeconds: 20,
     containerName: 'mysql-test',
     debug: false,
     image: 'mysql:5.7.24',
     mySqlDb: 'test-db',
     mySqlPassword: 'password',
     mySqlUser: 'test-user' } }"
`);
});
//# sourceMappingURL=index.test.js.map